众扬汇 AI 开放平台 API 文档

获取file

OpenAPI Specification

yaml
openapi: 3.0.1
info:
  title: ''
  description: "本页接口说明详见下方接口定义;参数取值与返回以本平台实测为准。"
  version: 1.0.0
paths:
  /minimax/v1/files/retrieve:
    get:
      summary: 获取file
      deprecated: false
      description: "本页接口「获取file」对应 GET /minimax/v1/files/retrieve(归属:音频接口/MINIMAX 语音合成)。"
      tags:
        - 音频接口/MINIMAX 语音合成
      parameters:
        - name: file_id
          in: query
          description: "文件唯一标识,上传文件时由平台返回"
          required: true
          example: '302892389810432'
          schema:
            type: string
        - name: Authorization
          in: header
          description: "该字段的取值与含义以本平台实际返回为准。"
          required: false
          example: Bearer {{YOUR_API_KEY}}
          schema:
            type: string
            default: Bearer {{YOUR_API_KEY}}
      responses:
        '200':
          description: "该字段的取值与含义以本平台实际返回为准。"
          content:
            application/json:
              schema:
                type: object
                properties:
                  file:
                    type: object
                    properties:
                      file_id:
                        type: integer
                      bytes:
                        type: integer
                      created_at:
                        type: integer
                      filename:
                        type: string
                      purpose:
                        type: string
                      download_url:
                        type: string
                      backup_download_url:
                        type: string
                    required:
                      - file_id
                      - bytes
                      - created_at
                      - filename
                      - purpose
                      - download_url
                      - backup_download_url
                  base_resp:
                    type: object
                    properties:
                      status_code:
                        type: integer
                      status_msg:
                        type: string
                    required:
                      - status_code
                      - status_msg
                required:
                  - file
                  - base_resp
          headers: {}
      security: []
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []

使用提示:本页接口的 Base URL 为 https://api.allyang.cn,请求头需携带 Authorization: Bearer <令牌>(令牌在控制台「令牌管理」中创建)。示例中的任务 ID、时间戳与文件地址均为示意值,实际以平台返回为准。

模型名请在「模型广场」复制后填入,不要手输;计费、限流与在售清单以平台实测为准(部分数值待补)。